### Constructor

# Soup CookieJar new

#### Declaration [src]

    SoupCookieJar*
    soup_cookie_jar_new (
      void
    )

#### Description [src]

Creates a new `SoupCookieJar`.

The base `SoupCookieJar` class does not support persistent storage of cookies; use a subclass for that.

#### Return value

Type: `SoupCookieJar`

A new `SoupCookieJar`.

The caller of the function takes ownership of the data, and is responsible for freeing it.